package ms.itsecteam.warpdrink.data.models.local;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;
import com.activeandroid.query.Delete;
import com.activeandroid.query.Select;

import java.util.List;

@Table(name = "Users")
public class User extends Model {

    @Column(name = "uid")
    private String uid;

    @Column(name = "credit")
    private double credit;

    @Column(name = "card_id")
    private String card_id;

    public User() {
        super();
    }

    public User(String uid, double credit, String card_id) {
        super();
        this.uid = uid;
        this.credit = credit;
        this.card_id = card_id;
    }

    public String getUserid() {
        return uid;
    }

    public void setUserid(String uid) {
        this.uid = uid;
    }

    public String getCardId() {
        return card_id;
    }

    public void setCardId(String card_id) {
        this.card_id = card_id;
    }

    public double getCredit() {
        return credit;
    }

    public void setCredit(double credit) {
        this.credit = credit;
    }

    public static List<User> getAll() {
        return new Select()
                .from(User.class)
                .execute();
    }
    public static User getByName(String uid) {
        return new Select()
                .from(User.class)
                .where("uid = ?", uid)
                .executeSingle();
    }
    public static void deleteAll() {
        new Delete().from(User.class).execute();
    }
    public String toString() {
        return this.uid;
    }

    public static User getByCardId(String card_id) {
        return new Select()
                .from(User.class)
                .where("card_id = ?", card_id)
                .executeSingle();
    }

}
